<?php
/* Busqueda de registros de la tabla ALM_RequerimientoDetalleLog redefinidos por el usuario. */
class ALM_RequerimientoDetalleLogFN extends BaseALM_RequerimientoDetalleLogFN
{
    public static function recuperarId()
    {
        $s_Sql = "SELECT IF( MAX( IdRequerimientoLog ) IS NULL, 1, MAX( IdRequerimientoLog ) + 1 ) i_Id FROM ALM_RequerimientoDetalleLog;";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        return $o_ResultSet->getInt( 'i_Id' );
    }

    public static function buscar_log_ref( $s_CodItem, $s_IdMoneda='LO' )
    {
        $o_ALM_RequerimientoDetalleLogFN = new ALM_RequerimientoDetalleLogFN();
        $o_ALM_RequerimientoDetalleLogFN->setIdItem( $s_CodItem );
        $o_ALM_RequerimientoDetalleLogFN->addOrderBy( ALM_RequerimientoDetalleLogFN::IdRequerimientoLog, false );
        $a_ALM_RequerimientoDetalleLog = $o_ALM_RequerimientoDetalleLogFN->select();
        if( $a_ALM_RequerimientoDetalleLog )
        {
            $o_ALM_RequerimientoDetalleLogBN = $a_ALM_RequerimientoDetalleLog[0];
        }
        else
        {
            $o_ALM_RequerimientoDetalleLogBN = new ALM_RequerimientoDetalleLogBN();
        }
        return $o_ALM_RequerimientoDetalleLogBN;
    }
}
?>